ESXI 5.0 虚拟机的网络适配器兼容性列表,选择虚拟机的网络适配器

运维 专栏收录该内容
6 篇文章 0 订阅


 

 

只有那些适合你所创建的虚拟机的网络适配器,可用的配置选项,在“选择网络”窗口中。


•  Vlance -模拟版本的AMD 79C970 PCnet32的LANCE NIC,一个旧的10Mbps的网卡的驱动程序可在32位客户操作系统,除了Windows Vista和更高版本。  此网络适配器配置的虚拟机可以立即使用其网络。


•  VMXNET -的VMXNET虚拟网络适配器并没有实际的对应。  VMXNET在虚拟机中的性能进行了优化。  因为操作系统供应商不提供此卡的驱动程序,您必须安装VMware Tools VMXNET网络适配器的驱动程序。


•  灵活 -灵活的网络适配器标识本身作为Vlance适配器时,虚拟机启动,但初始化本身和无论是作为Vlance的或VMXNET适配器的功能,这取决于驱动程序初始化它。  VMXNET驱动程序安装VMware Tools,改变Vlance适配器更高的性能VMXNET适配器。


•  E1000 -模拟版本的Intel 82545EM千兆位以太网NIC。  这NIC的驱动程序不包括所有客户机操作系统。  通常的Linux版本2.4.19和更高版本,Windows XP专业x64版和更高版本,和Windows Server 2003(32位),后来包括的E1000驱动程式。

注:E1000不支持巨型帧之前的ESX / ESXi 4.1。


•  e1000e用 -此功能模拟较新型号的英特尔千兆位NIC(82574号)中的虚拟硬件。  这被称为“e1000e用”的vNIC。  e1000e用仅适用于硬件版本8(和更高版本)的虚拟机在vSphere5。  它是默认的虚拟网卡,Windows 8和新的客户端操作系统(Windows)中。  对于Linux客户机,e1000e用不可用的UI(E1000型,灵活型vmxnet,增强型vmxnet,和VMXNET3是可用于Linux)。

•  VMXNET 2(增强型) - VMXNET 2适配器是基于VMXNET适配器,但提供了一些现代网络上的高性能常用的功能,如巨型帧和硬件卸载功能。  这个虚拟的网络适配器仅适用于某些客户在ESX / ESXi 3.5和更高版本的操作系统。

 VMXNET 2只为一组有限的客户机操作系统的支持:
32 -位和64位版本的Microsoft Windows 2003(企业版,数据中心版和标准版)。

 注意:您可以使用增强型VMXNET适配器与其他版本的Microsoft Windows 2003操作系统,但需要一个解决方法是在VMware Infrastructure(VI)Client或vSphere客户端启用该选项。  请参阅启用增强型vmxnet适配器的Microsoft Windows Server 2003(1007195)增强型VMXNET不作为选件提供。
32位版本的Microsoft Windows XP专业版
32 -位和64位版本的红帽企业Linux 5.0
32 -位和64位版本的SUSE Linux Enterprise Server 10中的
64位版本的红帽企业Linux 4.0
64位版本的Ubuntu Linux
 在ESX 3.5 Update 4或更高版本,这些客户OS也被支持:
微软的Windows Server 2003标准版(32位)
微软的Windows Server 2003标准版(64位)
微软Windows Server 2003 Web版
微软的Windows Small Business Server 2003中
 注:在Solaris客户机操作系统不支持巨型帧VMXNET 2。


•  VMXNET 3 - VMXNET 3适配器是一个半虚拟化NIC的性能而设计的下一代的,是没有关系的VMXNET或VMXNET 2。  它提供了VMXNET 2中提供的所有功能,并添加了一些新功能,如支持多队列(也称为接收端扩展在Windows中),IPv6的卸载,和MSI / MSI-X中断交付。

 VMXNET 3仅支持虚拟机版本7后,与一组有限的客户机操作系统:
32 -位和64位版本的Microsoft Windows XP,7,2003年,2003 R2,2008年和2008 R2
32 -位和64位版本的红帽企业Linux 5.0和更高版本
32 -位和64位版本的SUSE Linux Enterprise Server 10中的后
32 -位和64位版本的Asianux的3
32 -位和64位版本的Debian 4
32 -位和64位版本的Ubuntu 7.04及更高版本
32 -位和64位版本的Sun Solaris 10 U4和更高版本
 注 :
在ESX / ESXi 4.1和更早的版本,不支持巨型帧,在Solaris客户机操作系统VMXNET 2 VMXNET 3。  该功能仅适用于VMXNET 3与ESXi 5.0开始支持。

 有关详细信息,请参阅在Solaris客户机操作系统(2012445)启用巨型帧。
容错功能不支持在虚拟机上配置了一个VMXNET 3 vNIC的vSphere 4.0中,但完全支持vSphere 4.1上。 


 适配器注意事项
 本节讨论,你可能有一些潜在的问题。
•  迁移虚拟机,使用增强型vmxnet

 VMXNET 2是新的ESX 3.5虚拟机配置有VMXNET 2个适配器不能迁移到先前的ESX主机,即使虚拟机之间通常可以自由迁移ESX 3.0和ESX 3.0.x.

 假如你必须将虚拟机迁移后和更早版本的主机之间,不要选择VMXNET 2。
•  从ESX 2.x升级到ESX 3.x

 当一个虚拟的硬件升级操作将ESX 2.x主机到ESX 3.x主机上创建的虚拟机,Vlance适配器会自动升级“柔性”。  相反,VMXNET适配器没有自动升级,因为大多数或所有的Linux客户机操作系统版本不可靠的维护更换网络适配器的网络设置。  由于在客户机操作系统认为柔性适配器是仍然Vlance的,在这种情况下,它保留了设置。  如果升级更换VMXNET适配器,具有灵活适配器,客户机操作系统的错误丢弃的设置。

 在虚拟硬件升级后,网络适配器仍然是VMXNET,没有回落的柔性适配器的兼容性。  正如原来更早版本的主机,如果卸载VMware Tools的虚拟机上,它不能访问它的网络适配器。
•  添加虚拟磁盘

 现有的较早(ESX 2.x)的虚拟磁盘添加到ESX 3.x虚拟机结果中一个事实上的降级,该虚拟机的ESX 2.x版本  如果您使用的是ESX 3.x的功能,如增强的VMXNET或灵活的网络适配器,虚拟机变得不一致。  当您添加一个现有的ESX 2.x的虚拟磁盘到ESX 3.x的机器,立即恢复的虚拟机的ESX版本升级虚拟硬件“命令。  当你早期的虚拟磁盘的ESX / ESXi 4.0虚拟机时,这个问题就不会出现。

 注:执行命令升级虚拟硬件更改ESX虚拟磁盘,因此,它是不再使用的ESX虚拟机。  考虑副本的磁盘,然后再升级到ESX 3格式的两个副本中的一个 。

  • 0
    点赞
  • 0
    评论
  • 0
    收藏
  • 一键三连
    一键三连
  • 扫一扫,分享海报

相关推荐
©️2020 CSDN 皮肤主题: 大白 设计师:CSDN官方博客 返回首页
实付
使用余额支付
点击重新获取
扫码支付
钱包余额 0

抵扣说明:

1.余额是钱包充值的虚拟货币,按照1:1的比例进行支付金额的抵扣。
2.余额无法直接购买下载,可以购买VIP、C币套餐、付费专栏及课程。

余额充值